Bug 5651 - can't use ? character in searches
Summary: can't use ? character in searches
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Jared Camins-Esakov
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-22 19:38 UTC by Nicole C. Engard
Modified: 2012-10-25 23:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.36 KB, patch)
2011-04-05 12:16 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-01-22 19:38:18 UTC
When searching for the title, "Mama, do you love me?" there are no results, but
if you search "Mama, do you love me" with no "?" you get all results.
Comment 1 Nicole C. Engard 2011-01-22 19:40:42 UTC
Let me clarify, you can use it is it's a keyword search, but if it's a keyword search with a limit it appears to break.
Comment 2 Jared Camins-Esakov 2011-04-05 12:16:35 UTC
Created attachment 3674 [details] [review]
proposed patch
Comment 3 Jonathan Druart 2011-04-05 13:46:52 UTC
in fact, the character '?' is truncate if QueryAutoTruncate='automatically', else this patch perform a good search : '?' doesn't break and returns all results.
Comment 4 Chris Cormack 2011-04-06 03:34:39 UTC
Pushed please test